%define upstream_name	 Math-MatrixBool
%define upstream_version 5.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Matrix of Booleans
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp.perl.org/pub/CPAN/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bit::Vector) >= 7.100.0
BuildArch:  noarch

%description
Easy manipulation of matrices of booleans (Boolean Algebra).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%makeinstall_std
mv %{buildroot}/%{_mandir}/man3/Math::Kleene.3pm %{buildroot}/%{_mandir}/man3/Math::Kleene-MatrixBool.3pm
mv  %{buildroot}/%{perl_vendorlib}/Math/Kleene.pod \
    %{buildroot}/%{perl_vendorlib}/Math/Kleene-MatrixBool.pod

%files
%doc META.yml
%{perl_vendorlib}/Math
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 5.800.0-10pclos2017
- rebuild against updates

